package ass.sivakfil.hw6.cache;

/**
 * Represents a request for an arbitrary value from an arbitrary provider and holds key,
 * that corresponds to a single value.
 * 
 * Key might be a normalized FileSystem path, database index key, etc.
 *
 */
public interface IRequest {
	String getKey();
}
