package ass.sivakfil.hw6.cache;

import io.reactivex.Observable;

public interface IRequestHandler {
	
	/**
	 * @param requestObs - observable that contains request objects to be transformed into 
	 * responses
	 * @return transformed observable that contains responses
	 */
	public Observable<IResponse> handleRequests(Observable<IRequest> requestObs);
	
}
